import request from '@/utils/request';

 
/**
 * @data 用户体检报告列表
 */
export function listMedicalReportApi(data) {
  return request({
    url: '/smart-canteen/health_person_medical_report/getReportList',
    method: 'post',
    data
  })
}

/**
 * @data 根据体检id查询报告详情
 */
export function getMedicalReportInfoApi(data) {
  return request({
    url: '/smart-canteen/health_person_medical_report/getReportById',
    method: 'post',
    data
  })
}



/**
 * @data 查询体检报告模板
 */
export function listTemplateApi(data) {
  return request({
    url: '/smart-canteen/health_medical_report_template/getModelList',
    method: 'get',
    data
  })
}
/**
 * @data 根据体检报告模板id查询模板详情
 */
export function getTemplateInfoApi(data) {
  return request({
    url: '/smart-canteen/health_medical_report_template/getModelById',
    method: 'post',
    data
  })
}
/**
 * @data 编辑人员体检报告/edit-medicalreport
 */
export function editMedicalReportApi(data) {
  return request({
    url: '/smart-canteen/health_person_medical_report/addReport',
    method: 'post',
    data
  })
}












